Bug 996627 - Disable lvmetad use in dracut
Disable lvmetad use in dracut
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: dracut-maint
Release Test Team
:
Depends On: 811129
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 10:39 EDT by Marian Csontos
Modified: 2014-06-13 08:35 EDT (History)
8 users (show)

See Also:
Fixed In Version: dracut-032-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 811129
Environment:
Last Closed: 2014-06-13 08:35:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-08-13 10:39:31 EDT
lvmetad is now enabled in el7 builds. Seems the patch did not made it into dracut.el7 as suggested by following in the rdsosreport.txt attached to Bug 994978:

    /usr/sbin/rdsosreport@35(): command -v lvm
    /usr/sbin/rdsosreport@36(): lvm pvdisplay
      /run/lvm/lvmetad.socket: connect failed: No such file or directory
      WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
      /run/lvm/lvmetad.socket: connect failed: No such file or directory
    ...

+++ This bug was initially created as a clone of Bug #811129 +++

Currently dracut uses lvm.conf as found in the system and modifies only global/locking_type setting. As there's a new feature introduced - the lvmetad daemon, dracut should disable its use as well by setting "global/use_lvmetad=0"
(patch attached).

Otherwise, there's a warning message issued:

dracut: WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
Comment 2 Harald Hoyer 2013-08-20 09:24:04 EDT
commit 69f7ed96109095c8d3c39c1f741598119b602936
Comment 3 Harald Hoyer 2013-08-20 09:39:34 EDT
dracut-032-1.el7
Comment 5 Harald Hoyer 2013-12-18 10:14:23 EST
Please test http://people.redhat.com/harald/downloads/dracut/dracut-033-67.el7/ if possible
Comment 6 Michal Kovarik 2014-02-11 12:35:20 EST
Verified on RHEL-7.0-20140210.0 with dracut-033-115.el7.

[root@rhevh-x3650-01-g7 ~]#  lsinitrd -f /etc/lvm/lvm.conf | grep use_lvmetad
    # lvmetad is used" comment that is attached to global/use_lvmetad setting.
    # supported in clustered environment. If use_lvmetad=1 and locking_type=3
    # If lvmetad has been running while use_lvmetad was 0, it MUST be stopped
    # before changing use_lvmetad to 1 and started again afterwards.
    # supported in clustered environment. If use_lvmetad=1 and locking_type=3
    use_lvmetad = 0
    #     is triggered. This requires lvmetad (global/use_lvmetad=1) and udev
Comment 7 Ludek Smid 2014-06-13 08:35:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.